<?php
/**
 * Created by PhpStorm.
 * User: jderosa
 * Date: 21/03/19
 * Time: 14.45
 */

namespace FiloBlu\RuleDayFromBirthday\Observer;


class DayFromBirthdayConditionObserver implements \Magento\Framework\Event\ObserverInterface
{
    /**
     * Execute observer.
     * @param \Magento\Framework\Event\Observer $observer
     * @return $this
     */
    public function execute(\Magento\Framework\Event\Observer $observer)
    {
        $additional = $observer->getAdditional();
        $conditions = (array)$additional->getConditions();

        // Merging the old condition with our condition.
        $conditions = array_merge_recursive($conditions, [
            [
                'value'=> [
                    [
                        'value' => \FiloBlu\RuleDayFromBirthday\Model\Rule\Condition\Customer\Birthday::class,
                        'label' => __('Customer Birthday')
                    ]
                ], 'label'=> __('Birthday Coupon')
            ],
            [
                'value'=> [
                    [
                        'value' => \FiloBlu\RuleDayFromBirthday\Model\Rule\Condition\Customer\FirstOrder::class,
                        'label' => __('X Days From Customer First Order')
                    ]
                ], 'label'=> __('First Order Coupon')
            ],
            [
                'value'=> [
                    [
                        'value' => \FiloBlu\RuleDayFromBirthday\Model\Rule\Condition\Quote\SubtotalWithDiscountNoShipping::class,
                        'label' => __('New Subtotal with discounts no shipping (Incl. Tax)')
                    ]
                ], 'label'=> __('FiloBlu Quote')
            ]
        ]);



        $additional->setConditions($conditions);
        return $this;
    }


}

